# -*- coding: UTF-8 -*-
#
# generated by wxGlade 0.9.3 on Sun Mar  6 12:47:39 2022
#

import wx

# begin wxGlade: dependencies
import gettext
# end wxGlade

# begin wxGlade: extracode
# ------------------------------------------------------------------------------
# Project: SiriL-ic ( SiriL Image Converter )
#
# This script structures the SiriL work folder into a subfolder, copies the
# astronomical images into the subfolders, and builds the associated SiriL script.
# It can also group scripts.
# ------------------------------------------------------------------------------
#    Author:  M27trognondepomme <pebe92 (at) gmail.com>
#
# This program is provided without any guarantee.
#
# The license is  LGPL-v3
# For details, see GNU General Public License, version 3 or later.
#                        "https://www.gnu.org/licenses/gpl.html"
# ------------------------------------------------------------------------------

def wxNewIdRef():
    return wx.Window.NewControlId()

myID_ADD             = wxNewIdRef()
myID_MODIFY          = wxNewIdRef()
myID_DEL             = wxNewIdRef()
myID_CPY             = wxNewIdRef()
myID_KILL            = wxNewIdRef()
myID_GLOBPROP        = wxNewIdRef()
myID_RUN             = wxNewIdRef()
myID_DEL_TMPFILE     = wxNewIdRef()
NB_HISTO             = 5
myID_LASTPRJ         = [ wxNewIdRef(), wxNewIdRef(), wxNewIdRef(), wxNewIdRef(), wxNewIdRef()]
mID_RUNSIRIL         = wxNewIdRef()
myID_BUILDSCRIPT     = wxNewIdRef()
myID_REVERSE_PROJECT = wxNewIdRef()
myID_DEFAULTMASTERS  = wxNewIdRef()
myID_PARTIAL_RUN     = wxNewIdRef()
# end wxGlade


class CGui(wx.Frame):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CGui.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_FRAME_STYLE
        wx.Frame.__init__(self, *args, **kwds)
        
        # Menu Bar
        self.menubar = wx.MenuBar()
        wxglade_tmp_menu = wx.Menu()
        self.menubar.mNew = wxglade_tmp_menu.Append(wx.ID_NEW, _("New"), _("Create a new project to astronomical image preprocessing"))
        self.menubar.mLoad = wxglade_tmp_menu.Append(wx.ID_OPEN, _("Load"), _("Load a  project to astronomical image preprocessing"))
        self.menubar.mSave = wxglade_tmp_menu.Append(wx.ID_SAVE, _("Save"), _("Save the project to astronomical image preprocessing"))
        self.menubar.mSaveas = wxglade_tmp_menu.Append(wx.ID_SAVEAS, _("Save as"), _("Save as a new  project to astronomical image preprocessing"))
        self.menubar.mReverseProject = wxglade_tmp_menu.Append(myID_REVERSE_PROJECT, _("Reverse Project"), _("Recreate a project from the directory of an existing project"))
        wxglade_tmp_menu_sub = wx.Menu()
        self.menubar.mLastProject0 = wxglade_tmp_menu_sub.Append(myID_LASTPRJ[0], _("last project 0"), _("Load a last project to astronomical image preprocessing"))
        self.menubar.mLastProject1 = wxglade_tmp_menu_sub.Append(myID_LASTPRJ[1], _("last project 1"), _("Load a last project to astronomical image preprocessing"))
        self.menubar.mLastProject2 = wxglade_tmp_menu_sub.Append(myID_LASTPRJ[2], _("last project 2"), _("Load a last project to astronomical image preprocessing"))
        self.menubar.mLastProject3 = wxglade_tmp_menu_sub.Append(myID_LASTPRJ[3], _("last project 3"), _("Load a last project to astronomical image preprocessing"))
        self.menubar.mLastProject4 = wxglade_tmp_menu_sub.Append(myID_LASTPRJ[4], _("last project 4"), _("Load a last project to astronomical image preprocessing"))
        wxglade_tmp_menu.Append(wx.ID_ANY, _("Last project"), wxglade_tmp_menu_sub, "")
        wxglade_tmp_menu.AppendSeparator()
        self.menubar.mPrefs = wxglade_tmp_menu.Append(wx.ID_PREFERENCES, _("Preferences"), _("Sirilic preferences "))
        wxglade_tmp_menu.AppendSeparator()
        self.menubar.mExit = wxglade_tmp_menu.Append(wx.ID_EXIT, _("Exit"), "")
        self.menubar.Append(wxglade_tmp_menu, _("File"))
        wxglade_tmp_menu = wx.Menu()
        wxglade_tmp_menu.Append(myID_ADD, _("Add light"), _("Add a light to the project"))
        wxglade_tmp_menu.Append(myID_MODIFY, _("Modify light"), _("Modify a light of the project"))
        wxglade_tmp_menu.Append(myID_DEL, _("Delete light"), _("Delete a light of the project"))
        wxglade_tmp_menu.AppendSeparator()
        wxglade_tmp_menu.Append(myID_GLOBPROP, _("Edit properties"), _("Edit the properties and parameters of the project"))
        wxglade_tmp_menu.Append(myID_DEFAULTMASTERS, _("Set bias and dark masters for all the project"), _("Set the default value of bias and dark masters"))
        self.menubar.Append(wxglade_tmp_menu, _("Project"))
        wxglade_tmp_menu = wx.Menu()
        self.menubar.mCpyFiles = wxglade_tmp_menu.Append(myID_CPY, _("Step 1: Build Directories and copy/link the images"), _("Build directories and copy or link the images"))
        self.menubar.mRunScript = wxglade_tmp_menu.Append(myID_RUN, _("Step 2: Run scripts"), _("Launch the image preprocessing"))
        self.menubar.Append(wxglade_tmp_menu, _("Actions"))
        wxglade_tmp_menu = wx.Menu()
        wxglade_tmp_menu.Append(wx.ID_ABOUT, _("About"), "")
        self.menubar.Append(wxglade_tmp_menu, _("Help"))
        self.SetMenuBar(self.menubar)
        # Menu Bar end
        self.mLastProject=[ self.menubar.mLastProject0,
                            self.menubar.mLastProject1,
                            self.menubar.mLastProject2,
                            self.menubar.mLastProject3,
                            self.menubar.mLastProject4]
        self.statusbar = self.CreateStatusBar(1)
        self.listProject = wx.ListCtrl(self, wx.ID_ANY, style=wx.LC_HRULES | wx.LC_REPORT | wx.LC_SINGLE_SEL | wx.LC_SORT_ASCENDING | wx.LC_VRULES)
        self.treeProject = wx.TreeCtrl(self, wx.ID_ANY)
        self.gProgress = wx.Gauge(self, wx.ID_ANY, 100, style=wx.GA_HORIZONTAL | wx.GA_SMOOTH)
        self.lTraitement = wx.TextCtrl(self, wx.ID_ANY, _("..."), style=wx.BORDER_NONE | wx.TE_CENTRE)
        self.b_nb_process = wx.ToggleButton(self, wx.ID_ANY, _("Process"))
        self.b_nb_files = wx.ToggleButton(self, wx.ID_ANY, _("Files"))
        self.b_nb_properties = wx.ToggleButton(self, wx.ID_ANY, _("Properties"))
        self.b_nb_log = wx.ToggleButton(self, wx.ID_ANY, _("Log"))
        self.panel_1 = wx.ScrolledWindow(self, wx.ID_ANY, style=wx.TAB_TRAVERSAL)
        self.wprocess = CFprocess(self.panel_1, wx.ID_ANY)
        self.wfiles = CFfiles(self.panel_1, wx.ID_ANY)
        self.wproperties = CFproperties(self.panel_1, wx.ID_ANY)
        self.wlog = CFlog(self.panel_1, wx.ID_ANY)

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CGui.__set_properties
        self.SetTitle(_("Siril IC  ( SiriL Image Converter )"))
        self.statusbar.SetStatusWidths([-1])

        # statusbar fields
        statusbar_fields = [_("sirilic status: Ready")]
        for i in range(len(statusbar_fields)):
            self.statusbar.SetStatusText(statusbar_fields[i], i)
        self.listProject.SetMinSize((-1, 340))
        self.listProject.SetBackgroundColour(wx.Colour(255, 255, 255))
        self.listProject.AppendColumn(_("Object"), format=wx.LIST_FORMAT_LEFT, width=-1)
        self.listProject.AppendColumn(_("Layer"), format=wx.LIST_FORMAT_LEFT, width=-1)
        self.listProject.AppendColumn(_("Session"), format=wx.LIST_FORMAT_LEFT, width=-1)
        self.listProject.AppendColumn(_("Status"), format=wx.LIST_FORMAT_LEFT, width=-1)
        self.wprocess.Hide()
        self.wfiles.Hide()
        self.wlog.Hide()
        self.panel_1.SetScrollRate(10, 10)
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CGui.__do_layout
        sizer_1 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_43 = wx.BoxSizer(wx.VERTICAL)
        sizer_13 = wx.BoxSizer(wx.VERTICAL)
        sizer_44 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_9 = wx.BoxSizer(wx.VERTICAL)
        sizer_9.Add(self.listProject, 0, wx.ALL | wx.EXPAND, 0)
        sizer_9.Add((20, 2), 0, 0, 0)
        static_line_2 = wx.StaticLine(self, wx.ID_ANY)
        sizer_9.Add(static_line_2, 0, wx.EXPAND, 0)
        sizer_9.Add((20, 2), 0, 0, 0)
        sizer_9.Add(self.treeProject, 1, wx.EXPAND, 0)
        sizer_9.Add(self.gProgress, 0, wx.EXPAND, 0)
        sizer_9.Add(self.lTraitement, 0, wx.ALL | wx.EXPAND, 0)
        sizer_1.Add(sizer_9, 0, wx.EXPAND, 0)
        sizer_1.Add((2, 20), 0, 0, 0)
        static_line_1 = wx.StaticLine(self, wx.ID_ANY, style=wx.LI_VERTICAL)
        sizer_1.Add(static_line_1, 0, wx.EXPAND, 0)
        sizer_1.Add((2, 20), 0, 0, 0)
        sizer_44.Add(self.b_nb_process, 1, 0, 0)
        sizer_44.Add(self.b_nb_files, 1, 0, 0)
        sizer_44.Add(self.b_nb_properties, 1, 0, 0)
        sizer_44.Add(self.b_nb_log, 1, 0, 0)
        sizer_43.Add(sizer_44, 0, wx.EXPAND, 0)
        sizer_13.Add(self.wprocess, 1, wx.EXPAND, 0)
        sizer_13.Add(self.wfiles, 1, wx.EXPAND, 0)
        sizer_13.Add(self.wproperties, 1, wx.EXPAND, 0)
        sizer_13.Add(self.wlog, 1, wx.EXPAND, 0)
        self.panel_1.SetSizer(sizer_13)
        sizer_43.Add(self.panel_1, 1, wx.EXPAND, 0)
        sizer_1.Add(sizer_43, 1, wx.EXPAND, 0)
        self.SetSizer(sizer_1)
        sizer_1.Fit(self)
        self.Layout()
        # end wxGlade

# end of class CGui

class CNewProject(wx.Dialog):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CNewProject.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_DIALOG_STYLE
        wx.Dialog.__init__(self, *args, **kwds)
        self.cbLayer={ "DSLR":None,"RGB":None,"L":None,"R":None,"G":None,"B":None,"Ha":None,"O3":None,"S2":None,"Hb":None }
        self.eObject = wx.TextCtrl(self, wx.ID_ANY, _("M1"))
        self.eSession = wx.TextCtrl(self, wx.ID_ANY, _("S"))
        self.eNbSession = wx.SpinCtrl(self, wx.ID_ANY, "1", min=1, max=10)
        self.cbLight = wx.CheckBox(self, wx.ID_ANY, _("Light"))
        self.cbLayer["L"]=self.cbLight
        self.cbRed = wx.CheckBox(self, wx.ID_ANY, _("Red"))
        self.cbLayer["R"]=self.cbRed
        self.cbGreen = wx.CheckBox(self, wx.ID_ANY, _("Green"))
        self.cbLayer["G"]=self.cbGreen
        self.cbBlue = wx.CheckBox(self, wx.ID_ANY, _("Blue"))
        self.cbLayer["B"]=self.cbBlue
        self.cbHa = wx.CheckBox(self, wx.ID_ANY, _("Halpha"))
        self.cbLayer["Ha"]=self.cbHa
        self.cbHb = wx.CheckBox(self, wx.ID_ANY, _("Hbeta"))
        self.cbLayer["Hb"]=self.cbHb
        self.cbSii = wx.CheckBox(self, wx.ID_ANY, _("Sii"))
        self.cbLayer["S2"]=self.cbSii
        self.cbOiii = wx.CheckBox(self, wx.ID_ANY, _("Oiii"))
        self.cbLayer["O3"]=self.cbOiii
        self.cbColorCcd = wx.CheckBox(self, wx.ID_ANY, _("OSC/CCD"))
        self.cbLayer["RGB"]=self.cbColorCcd
        self.cbDSLR = wx.CheckBox(self, wx.ID_ANY, _("DSLR"))
        self.cbLayer["DSLR"]=self.cbDSLR
        self.cbCHa = wx.CheckBox(self, wx.ID_ANY, _("Halpha"))
        self.cbLayer["cHa"]=self.cbCHa
        self.cbCHaOiii = wx.CheckBox(self, wx.ID_ANY, _("Duo Ha/Oiii"))
        self.cbLayer["cHaO3"]=self.cbCHaOiii
        self.cbCGreen = wx.CheckBox(self, wx.ID_ANY, _("Green"))
        self.cbLayer["cGreen"]=self.cbCGreen
        self.cbDLight = wx.CheckBox(self, wx.ID_ANY, _("Light"))
        self.cbLayer["dL"]=self.cbDLight
        self.cbDRed = wx.CheckBox(self, wx.ID_ANY, _("Red"))
        self.cbLayer["dR"]=self.cbDRed
        self.cbDGreen = wx.CheckBox(self, wx.ID_ANY, _("Green"))
        self.cbLayer["dG"]=self.cbDGreen
        self.cbDBlue = wx.CheckBox(self, wx.ID_ANY, _("Blue"))
        self.cbLayer["dB"]=self.cbDBlue
        self.cbDHa = wx.CheckBox(self, wx.ID_ANY, _("Halpha"))
        self.cbLayer["dHa"]=self.cbDHa
        self.cbDHb = wx.CheckBox(self, wx.ID_ANY, _("Hbeta"))
        self.cbLayer["dHb"]=self.cbDHb
        self.cbDSii = wx.CheckBox(self, wx.ID_ANY, _("Sii"))
        self.cbLayer["dS2"]=self.cbDSii
        self.cbDOiii = wx.CheckBox(self, wx.ID_ANY, _("Oiii"))
        self.cbLayer["dO3"]=self.cbDOiii
        self.bOK = wx.Button(self, wx.ID_OK, _("OK"))
        self.bCancel = wx.Button(self, wx.ID_CANCEL, _("Cancel"))

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CNewProject.__set_properties
        self.SetTitle(_("New project"))
        self.cbLight.SetValue(1)
        self.bCancel.SetDefault()
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CNewProject.__do_layout
        sizer_2 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, ""), wx.VERTICAL)
        sizer_8 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_7 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("Layers")), wx.VERTICAL)
        sizer_59 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("debayerised")), wx.HORIZONTAL)
        grid_sizer_6 = wx.GridSizer(2, 4, 0, 0)
        sizer_56 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("color")), wx.HORIZONTAL)
        grid_sizer_4 = wx.GridSizer(1, 6, 0, 0)
        sizer_55 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("mono")), wx.VERTICAL)
        grid_sizer_1 = wx.GridSizer(2, 4, 0, 0)
        sizer_3 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_6 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("Number of session")), wx.HORIZONTAL)
        sizer_5 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("Session basename")), wx.HORIZONTAL)
        sizer_4 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("Object name")), wx.HORIZONTAL)
        sizer_4.Add(self.eObject, 0, 0, 0)
        sizer_3.Add(sizer_4, 1, wx.EXPAND, 0)
        sizer_5.Add(self.eSession, 0, 0, 0)
        sizer_3.Add(sizer_5, 1, wx.EXPAND, 0)
        sizer_6.Add(self.eNbSession, 0, 0, 0)
        sizer_3.Add(sizer_6, 1, wx.EXPAND, 0)
        sizer_2.Add(sizer_3, 0, wx.EXPAND, 0)
        grid_sizer_1.Add(self.cbLight, 0, 0, 0)
        grid_sizer_1.Add(self.cbRed, 0, 0, 0)
        grid_sizer_1.Add(self.cbGreen, 0, 0, 0)
        grid_sizer_1.Add(self.cbBlue, 0, 0, 0)
        grid_sizer_1.Add(self.cbHa, 0, 0, 0)
        grid_sizer_1.Add(self.cbHb, 0, 0, 0)
        grid_sizer_1.Add(self.cbSii, 0, 0, 0)
        grid_sizer_1.Add(self.cbOiii, 0, 0, 0)
        sizer_55.Add(grid_sizer_1, 1, wx.EXPAND, 0)
        sizer_7.Add(sizer_55, 1, wx.EXPAND, 0)
        grid_sizer_4.Add(self.cbColorCcd, 0, 0, 0)
        grid_sizer_4.Add(self.cbDSLR, 0, 0, 0)
        grid_sizer_4.Add(self.cbCHa, 0, 0, 0)
        grid_sizer_4.Add(self.cbCHaOiii, 0, 0, 0)
        grid_sizer_4.Add(self.cbCGreen, 0, 0, 0)
        sizer_56.Add(grid_sizer_4, 1, wx.EXPAND, 0)
        sizer_7.Add(sizer_56, 0, wx.EXPAND, 0)
        grid_sizer_6.Add(self.cbDLight, 0, 0, 0)
        grid_sizer_6.Add(self.cbDRed, 0, 0, 0)
        grid_sizer_6.Add(self.cbDGreen, 0, 0, 0)
        grid_sizer_6.Add(self.cbDBlue, 0, 0, 0)
        grid_sizer_6.Add(self.cbDHa, 0, 0, 0)
        grid_sizer_6.Add(self.cbDHb, 0, 0, 0)
        grid_sizer_6.Add(self.cbDSii, 0, 0, 0)
        grid_sizer_6.Add(self.cbDOiii, 0, 0, 0)
        sizer_59.Add(grid_sizer_6, 1, wx.EXPAND, 0)
        sizer_7.Add(sizer_59, 1, wx.EXPAND, 0)
        sizer_2.Add(sizer_7, 0, wx.EXPAND, 0)
        sizer_8.Add(self.bOK, 0, 0, 0)
        sizer_8.Add((100, 25), 2, 0, 0)
        sizer_8.Add(self.bCancel, 0, 0, 0)
        sizer_2.Add(sizer_8, 0, wx.EXPAND, 0)
        self.SetSizer(sizer_2)
        sizer_2.Fit(self)
        self.Layout()
        # end wxGlade

# end of class CNewProject

class CModifyFile(wx.Dialog):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CModifyFile.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_DIALOG_STYLE
        wx.Dialog.__init__(self, *args, **kwds)
        self.text_file = wx.TextCtrl(self, wx.ID_ANY, "")
        self.bOK = wx.Button(self, wx.ID_OK, _("OK"))
        self.bCancel = wx.Button(self, wx.ID_CANCEL, _("Cancel"))

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CModifyFile.__set_properties
        self.SetTitle(_("Modify the file path"))
        self.text_file.SetMinSize((480, 23))
        self.bCancel.SetDefault()
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CModifyFile.__do_layout
        sizer_11 = wx.BoxSizer(wx.VERTICAL)
        sizer_16 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_11.Add(self.text_file, 0, 0, 0)
        sizer_16.Add(self.bOK, 0, 0, 0)
        sizer_16.Add((20, 20), 1, 0, 0)
        sizer_16.Add(self.bCancel, 0, 0, 0)
        sizer_11.Add(sizer_16, 1, wx.EXPAND, 0)
        self.SetSizer(sizer_11)
        sizer_11.Fit(self)
        self.Layout()
        # end wxGlade

# end of class CModifyFile

class CPrefs(wx.Dialog):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CPrefs.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_DIALOG_STYLE
        wx.Dialog.__init__(self, *args, **kwds)
        self.textWorkDir = wx.TextCtrl(self, wx.ID_ANY, "")
        self.b_workdir = wx.Button(self, wx.ID_ANY, _(" ... "))
        self.textSirilExe = wx.TextCtrl(self, wx.ID_ANY, "")
        self.b_sirilexe = wx.Button(self, wx.ID_ANY, _(" ... "))
        self.bDetect = wx.Button(self, wx.ID_ANY, _("Default"))
        self.cb_cleandir = wx.CheckBox(self, wx.ID_ANY, _("Clean the object directory before to launch the script"), style=wx.CHK_2STATE)
        self.cb_links = wx.CheckBox(self, wx.ID_ANY, _("use symbolic links ( replace the copy)"), style=wx.CHK_2STATE)
        self.cb_WorkDirFinal = wx.CheckBox(self, wx.ID_ANY, _("return to the workdir at the script end"), style=wx.CHK_2STATE)
        self.cb_RunSirilAfter = wx.CheckBox(self, wx.ID_ANY, _("After executing the script, launch Siril"), style=wx.CHK_2STATE)
        self.cb_savetif = wx.CheckBox(self, wx.ID_ANY, _("Save a copy in tif format (16b, uncompressed)"), style=wx.CHK_2STATE)
        self.cb_set32b = wx.CheckBox(self, wx.ID_ANY, _("mode: float 32 bits"), style=wx.CHK_2STATE)
        self.cb_compress = wx.CheckBox(self, wx.ID_ANY, _("enable"), style=wx.CHK_2STATE)
        self.cb_typecomp = wx.ComboBox(self, wx.ID_ANY, choices=[_("rice"), _("gzip1"), _("gzip2")], style=wx.CB_DROPDOWN | wx.CB_READONLY)
        self.sp_quantif = wx.SpinCtrl(self, wx.ID_ANY, "16", min=0, max=256)
        self.rb_seqmode = wx.RadioBox(self, wx.ID_ANY, _("Sequence mode:"), choices=[_("Single image by FITS"), _("Multi-image by FITS"), _("SER ")], majorDimension=1, style=wx.RA_SPECIFY_ROWS)
        self.cb_siril_dev = wx.CheckBox(self, wx.ID_ANY, _("Enable Siril dev ..."), style=wx.CHK_2STATE)
        self.spCPU = wx.SpinCtrl(self, wx.ID_ANY, "0", min=0, max=32)
        self.spMem = wx.SpinCtrlDouble(self, wx.ID_ANY, "0.8", min=0.0, max=4.0)
        self.cbDebug = wx.CheckBox(self, wx.ID_ANY, _("Debug ( save stdout/stderr in file)"), style=wx.CHK_2STATE)
        self.bOK = wx.Button(self, wx.ID_OK, _("OK"))
        self.bCancel = wx.Button(self, wx.ID_CANCEL, _("Cancel"))

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CPrefs.__set_properties
        self.SetTitle(_("Preferences"))
        self.textWorkDir.SetMinSize((250, -1))
        self.textWorkDir.SetToolTip(_("work directory of SiriL"))
        self.textSirilExe.SetMinSize((250, -1))
        self.textSirilExe.SetToolTip(_("full name of siril exe"))
        self.bDetect.SetToolTip(_("Set the default SiriL executable according to OS"))
        self.cb_links.SetToolTip(_("to use symbolic link on  the windows 10 , select the developper mode"))
        self.cb_typecomp.SetSelection(0)
        self.sp_quantif.SetMinSize((110, -1))
        self.rb_seqmode.SetSelection(0)
        self.spCPU.SetMinSize((110, -1))
        self.spCPU.SetToolTip(_("0=default value  of SiriL else number of used cpu"))
        self.spMem.SetMinSize((110, -1))
        self.spMem.SetToolTip(_("0=default  of SiriL else ratio of used mem"))
        self.spMem.SetDigits(2)
        self.spMem.SetIncrement(0.1)
        self.bCancel.SetDefault()
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CPrefs.__do_layout
        sizer_18 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_19 = wx.BoxSizer(wx.VERTICAL)
        sizer_16 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_42 = wx.BoxSizer(wx.HORIZONTAL)
        self.l_version_dbg = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("Siril = x.y.z")), wx.HORIZONTAL)
        sizer_54 = wx.BoxSizer(wx.VERTICAL)
        sizer_61 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("FITS compression")), wx.HORIZONTAL)
        sizer_62 = wx.BoxSizer(wx.HORIZONTAL)
        grid_sizer_3 = wx.FlexGridSizer(2, 4, 0, 0)
        sizer_18.Add((20, 20), 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        label_18 = wx.StaticText(self, wx.ID_ANY, _("Work directory: "))
        grid_sizer_3.Add(label_18, 0, 0, 0)
        grid_sizer_3.Add(self.textWorkDir, 1, wx.EXPAND, 0)
        grid_sizer_3.Add(self.b_workdir, 0, 0, 0)
        grid_sizer_3.Add((0, 0), 0, 0, 0)
        label_19 = wx.StaticText(self, wx.ID_ANY, _("SiriL executable : "))
        grid_sizer_3.Add(label_19, 0, 0, 0)
        grid_sizer_3.Add(self.textSirilExe, 1, wx.EXPAND, 0)
        grid_sizer_3.Add(self.b_sirilexe, 0, 0, 0)
        grid_sizer_3.Add(self.bDetect, 0, wx.ALL, 0)
        sizer_19.Add(grid_sizer_3, 1, wx.EXPAND, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_19.Add(self.cb_cleandir, 0, 0, 0)
        sizer_19.Add(self.cb_links, 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_19.Add(self.cb_WorkDirFinal, 0, 0, 0)
        sizer_19.Add(self.cb_RunSirilAfter, 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_19.Add(self.cb_savetif, 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_19.Add(self.cb_set32b, 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_62.Add(self.cb_compress, 0, 0, 0)
        sizer_62.Add((20, 20), 0, wx.EXPAND, 0)
        sizer_62.Add(self.cb_typecomp, 0, 0, 0)
        sizer_62.Add((20, 20), 0, wx.EXPAND, 0)
        sizer_62.Add(self.sp_quantif, 0, 0, 0)
        label_26 = wx.StaticText(self, wx.ID_ANY, _("quantization"))
        sizer_62.Add(label_26, 0, 0, 0)
        sizer_62.Add((20, 20), 0, wx.EXPAND, 0)
        sizer_61.Add(sizer_62, 1, wx.EXPAND, 0)
        sizer_19.Add(sizer_61, 0, wx.EXPAND, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_19.Add(self.rb_seqmode, 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_54.Add(self.cb_siril_dev, 0, 0, 0)
        self.l_version_dbg.Add(sizer_54, 0, wx.EXPAND, 0)
        sizer_19.Add(self.l_version_dbg, 0, wx.EXPAND, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_42.Add(self.spCPU, 0, 0, 0)
        label_22 = wx.StaticText(self, wx.ID_ANY, _("CPU"))
        sizer_42.Add(label_22, 0, 0, 0)
        sizer_42.Add((20, 20), 0, 0, 0)
        sizer_42.Add(self.spMem, 0, 0, 0)
        label_23 = wx.StaticText(self, wx.ID_ANY, _("MEM"))
        sizer_42.Add(label_23, 0, 0, 0)
        sizer_19.Add(sizer_42, 0, wx.EXPAND, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_19.Add(self.cbDebug, 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_16.Add(self.bOK, 0, 0, 0)
        sizer_16.Add((20, 20), 1, 0, 0)
        sizer_16.Add(self.bCancel, 0, 0, 0)
        sizer_19.Add(sizer_16, 0, wx.EXPAND, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_18.Add(sizer_19, 0, 0, 0)
        sizer_18.Add((20, 20), 0, 0, 0)
        self.SetSizer(sizer_18)
        sizer_18.Fit(self)
        self.Layout()
        # end wxGlade

# end of class CPrefs

class CModifyProject(wx.Dialog):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CModifyProject.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_DIALOG_STYLE
        wx.Dialog.__init__(self, *args, **kwds)
        self.rbLayer={ "DSLR":None,"RGB":None,"L":None,"R":None,"G":None,"B":None,"Ha":None,"O3":None,"S2":None,"Hb":None }
        self.eObject = wx.TextCtrl(self, wx.ID_ANY, _("M1"))
        self.eSession = wx.TextCtrl(self, wx.ID_ANY, _("S"))
        self.rbLight = wx.RadioButton(self, wx.ID_ANY, _("Light"))
        self.rbLayer["L"]=self.rbLight
        self.rbRed = wx.RadioButton(self, wx.ID_ANY, _("Red"))
        self.rbLayer["R"]=self.rbRed
        self.rbGreen = wx.RadioButton(self, wx.ID_ANY, _("Green"))
        self.rbLayer["G"]=self.rbGreen
        self.rbBlue = wx.RadioButton(self, wx.ID_ANY, _("Blue"))
        self.rbLayer["B"]=self.rbBlue
        self.rbHa = wx.RadioButton(self, wx.ID_ANY, _("H alpha"))
        self.rbLayer["Ha"]=self.rbHa
        self.rbHb = wx.RadioButton(self, wx.ID_ANY, _("H beta"))
        self.rbLayer["Hb"]=self.rbHb
        self.rbS2 = wx.RadioButton(self, wx.ID_ANY, _("Sii"))
        self.rbLayer["S2"]=self.rbS2
        self.rbO3 = wx.RadioButton(self, wx.ID_ANY, _("Oiii"))
        self.rbLayer["O3"]=self.rbO3
        self.rbColorCCD = wx.RadioButton(self, wx.ID_ANY, _("OSC/CCD"))
        self.rbLayer["RGB"]=self.rbColorCCD
        self.rbDSLR = wx.RadioButton(self, wx.ID_ANY, _("DSLR"))
        self.rbLayer["DSLR"]=self.rbDSLR
        self.rbCHa = wx.RadioButton(self, wx.ID_ANY, _("H alpha"))
        self.rbLayer["cHa"]=self.rbCHa
        self.rbCHaO3 = wx.RadioButton(self, wx.ID_ANY, _("Duo Ha/Oiii"))
        self.rbLayer["cHaO3"]=self.rbCHaO3
        self.rbCGreen = wx.RadioButton(self, wx.ID_ANY, _("Green"))
        self.rbLayer["cGreen"]=self.rbCGreen
        self.rbDLight = wx.RadioButton(self, wx.ID_ANY, _("Light"))
        self.rbLayer["dL"]=self.rbDLight
        self.rbDRed = wx.RadioButton(self, wx.ID_ANY, _("Red"))
        self.rbLayer["dR"]=self.rbDRed
        self.rbDGreen = wx.RadioButton(self, wx.ID_ANY, _("Green"))
        self.rbLayer["dG"]=self.rbDGreen
        self.rbDBlue = wx.RadioButton(self, wx.ID_ANY, _("Blue"))
        self.rbLayer["dB"]=self.rbDBlue
        self.rbDHa = wx.RadioButton(self, wx.ID_ANY, _("H alpha"))
        self.rbLayer["dHa"]=self.rbDHa
        self.rbDHb = wx.RadioButton(self, wx.ID_ANY, _("H beta"))
        self.rbLayer["dHb"]=self.rbDHb
        self.rbDS2 = wx.RadioButton(self, wx.ID_ANY, _("Sii"))
        self.rbLayer["dS2"]=self.rbDS2
        self.rbDO3 = wx.RadioButton(self, wx.ID_ANY, _("Oiii"))
        self.rbLayer["dO3"]=self.rbDO3
        self.bOK = wx.Button(self, wx.ID_OK, _("OK"))
        self.bCancel = wx.Button(self, wx.ID_CANCEL, _("Cancel"))

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CModifyProject.__set_properties
        self.SetTitle(_("Modify project"))
        self.bCancel.SetDefault()
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CModifyProject.__do_layout
        sizer_2 = wx.BoxSizer(wx.VERTICAL)
        sizer_8 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_7 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("Layers")), wx.VERTICAL)
        sizer_60 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("debayerised")), wx.HORIZONTAL)
        grid_sizer_2 = wx.GridSizer(2, 4, 0, 0)
        sizer_58 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("color")), wx.HORIZONTAL)
        grid_sizer_5 = wx.GridSizer(1, 5, 0, 0)
        sizer_57 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("mono")), wx.HORIZONTAL)
        grid_sizer_1 = wx.GridSizer(2, 4, 0, 0)
        sizer_3 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_5 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("Session name")), wx.HORIZONTAL)
        sizer_4 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("Object name")), wx.HORIZONTAL)
        sizer_4.Add(self.eObject, 0, 0, 0)
        sizer_3.Add(sizer_4, 1, wx.EXPAND, 0)
        sizer_5.Add(self.eSession, 0, 0, 0)
        sizer_3.Add(sizer_5, 1, wx.EXPAND, 0)
        sizer_2.Add(sizer_3, 0, wx.EXPAND, 0)
        grid_sizer_1.Add(self.rbLight, 1, wx.EXPAND, 0)
        grid_sizer_1.Add(self.rbRed, 0, 0, 0)
        grid_sizer_1.Add(self.rbGreen, 0, 0, 0)
        grid_sizer_1.Add(self.rbBlue, 0, 0, 0)
        grid_sizer_1.Add(self.rbHa, 0, 0, 0)
        grid_sizer_1.Add(self.rbHb, 0, 0, 0)
        grid_sizer_1.Add(self.rbS2, 0, 0, 0)
        grid_sizer_1.Add(self.rbO3, 0, 0, 0)
        sizer_57.Add(grid_sizer_1, 1, wx.EXPAND, 0)
        sizer_7.Add(sizer_57, 1, wx.EXPAND, 0)
        grid_sizer_5.Add(self.rbColorCCD, 0, 0, 0)
        grid_sizer_5.Add(self.rbDSLR, 1, 0, 0)
        grid_sizer_5.Add(self.rbCHa, 0, 0, 0)
        grid_sizer_5.Add(self.rbCHaO3, 0, 0, 0)
        grid_sizer_5.Add(self.rbCGreen, 0, 0, 0)
        sizer_58.Add(grid_sizer_5, 1, wx.EXPAND, 0)
        sizer_7.Add(sizer_58, 0, wx.EXPAND, 0)
        grid_sizer_2.Add(self.rbDLight, 1, wx.EXPAND, 0)
        grid_sizer_2.Add(self.rbDRed, 0, 0, 0)
        grid_sizer_2.Add(self.rbDGreen, 0, 0, 0)
        grid_sizer_2.Add(self.rbDBlue, 0, 0, 0)
        grid_sizer_2.Add(self.rbDHa, 0, 0, 0)
        grid_sizer_2.Add(self.rbDHb, 0, 0, 0)
        grid_sizer_2.Add(self.rbDS2, 0, 0, 0)
        grid_sizer_2.Add(self.rbDO3, 0, 0, 0)
        sizer_60.Add(grid_sizer_2, 1, wx.EXPAND, 0)
        sizer_7.Add(sizer_60, 1, wx.EXPAND, 0)
        sizer_2.Add(sizer_7, 1, wx.EXPAND, 0)
        sizer_8.Add(self.bOK, 0, 0, 0)
        sizer_8.Add((100, 25), 2, 0, 0)
        sizer_8.Add(self.bCancel, 0, 0, 0)
        sizer_2.Add(sizer_8, 0, wx.EXPAND, 0)
        self.SetSizer(sizer_2)
        sizer_2.Fit(self)
        self.Layout()
        # end wxGlade

# end of class CModifyProject

class CGlobProp(wx.Dialog):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CGlobProp.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_DIALOG_STYLE
        wx.Dialog.__init__(self, *args, **kwds)
        self.cb_multisession = wx.CheckBox(self, wx.ID_ANY, _("Multi-session"), style=wx.CHK_2STATE)
        self.cb_stack_intermed = wx.CheckBox(self, wx.ID_ANY, _("intermediate stacking (multi-session)"), style=wx.CHK_2STATE)
        self.cb_CFAequa = wx.CheckBox(self, wx.ID_ANY, _("equalize (CFA)"), style=wx.CHK_2STATE)
        self.cb_DslrDebayerised = wx.CheckBox(self, wx.ID_ANY, _("Debayerised DSLR"), style=wx.CHK_2STATE)
        self.cb_prop_unique = wx.CheckBox(self, wx.ID_ANY, _("identical parameters for all layers"), style=wx.CHK_2STATE)
        self.bOK = wx.Button(self, wx.ID_OK, _("OK"))
        self.bCancel = wx.Button(self, wx.ID_CANCEL, _("Cancel"))

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CGlobProp.__set_properties
        self.SetTitle(_("Global properties for the project"))
        self.cb_multisession.SetValue(1)
        self.cb_CFAequa.SetToolTip(_("option equalizes the mean intensity of RGB layers of the CFA flat master"))
        self.cb_DslrDebayerised.SetToolTip(_("the CCD is a debayerised DSLR"))
        self.cb_DslrDebayerised.Hide()
        self.bCancel.SetDefault()
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CGlobProp.__do_layout
        sizer_18 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_19 = wx.BoxSizer(wx.VERTICAL)
        sizer_16 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_18.Add((20, 20), 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_19.Add(self.cb_multisession, 0, 0, 0)
        sizer_19.Add(self.cb_stack_intermed, 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_19.Add((0, 0), 0, 0, 0)
        sizer_19.Add(self.cb_CFAequa, 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_19.Add(self.cb_DslrDebayerised, 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_19.Add(self.cb_prop_unique, 0, 0, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_16.Add(self.bOK, 0, 0, 0)
        sizer_16.Add((20, 20), 1, 0, 0)
        sizer_16.Add(self.bCancel, 0, 0, 0)
        sizer_19.Add(sizer_16, 0, wx.EXPAND, 0)
        sizer_19.Add((20, 20), 0, 0, 0)
        sizer_18.Add(sizer_19, 0, 0, 0)
        sizer_18.Add((20, 20), 0, 0, 0)
        self.SetSizer(sizer_18)
        sizer_18.Fit(self)
        self.Layout()
        # end wxGlade

# end of class CGlobProp

class CFprocess(wx.Panel):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CFprocess.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_FRAME_STYLE
        wx.Panel.__init__(self, *args, **kwds)
        self.f_draw = wx.Panel(self, wx.ID_ANY)

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CFprocess.__set_properties
        self.f_draw.SetBackgroundColour(wx.Colour(192, 192, 192))
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CFprocess.__do_layout
        sizer_45 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_45.Add(self.f_draw, 1, wx.ALL | wx.EXPAND, 0)
        self.SetSizer(sizer_45)
        sizer_45.Fit(self)
        self.Layout()
        # end wxGlade

# end of class CFprocess

class CFfiles(wx.Panel):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CFfiles.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_FRAME_STYLE
        wx.Panel.__init__(self, *args, **kwds)
        self.TitreFilesImage = wx.StaticText(self, wx.ID_ANY, _("Image:"))
        self.lb_Img = wx.ListBox(self, wx.ID_ANY, choices=[_("choice 1")], style=wx.LB_HSCROLL | wx.LB_SINGLE | wx.LB_SORT)
        self.bAdd_Img = wx.Button(self, wx.ID_ANY, _("ADD"))
        self.bEdit_Img = wx.Button(self, wx.ID_ANY, _("EDIT"))
        self.bDEL_Img = wx.Button(self, wx.ID_ANY, _("DELETE"))
        self.bCLR_Img = wx.Button(self, wx.ID_ANY, _("CLEAR"))
        self.TitreFilesOffset = wx.StaticText(self, wx.ID_ANY, _("Bias:"))
        self.lb_Offset = wx.ListBox(self, wx.ID_ANY, choices=[_("choice 1")], style=wx.LB_HSCROLL | wx.LB_SINGLE | wx.LB_SORT)
        self.bAdd_Offset = wx.Button(self, wx.ID_ANY, _("ADD"))
        self.bEdit_Offset = wx.Button(self, wx.ID_ANY, _("EDIT"))
        self.bDEL_Offset = wx.Button(self, wx.ID_ANY, _("DELETE"))
        self.bCLR_Offset = wx.Button(self, wx.ID_ANY, _("CLEAR"))
        self.TitreFilesDark = wx.StaticText(self, wx.ID_ANY, _("Dark:"))
        self.lb_Dark = wx.ListBox(self, wx.ID_ANY, choices=[_("choice 1")], style=wx.LB_HSCROLL | wx.LB_SINGLE | wx.LB_SORT)
        self.bAdd_Dark = wx.Button(self, wx.ID_ANY, _("ADD"))
        self.bEdit_Dark = wx.Button(self, wx.ID_ANY, _("EDIT"))
        self.bDEL_Dark = wx.Button(self, wx.ID_ANY, _("DELETE"))
        self.bCLR_Dark = wx.Button(self, wx.ID_ANY, _("CLEAR"))
        self.TitreFilesFlat = wx.StaticText(self, wx.ID_ANY, _("Flat:"))
        self.lb_Flat = wx.ListBox(self, wx.ID_ANY, choices=[_("choice 1")], style=wx.LB_HSCROLL | wx.LB_SINGLE | wx.LB_SORT)
        self.bAdd_Flat = wx.Button(self, wx.ID_ANY, _("ADD"))
        self.bEdit_Flat = wx.Button(self, wx.ID_ANY, _("EDIT"))
        self.bDEL_Flat = wx.Button(self, wx.ID_ANY, _("DELETE"))
        self.bCLR_Flat = wx.Button(self, wx.ID_ANY, _("CLEAR"))
        self.TitreFilesDFlat = wx.StaticText(self, wx.ID_ANY, _("Dark-Flat:"))
        self.lb_DFlat = wx.ListBox(self, wx.ID_ANY, choices=[_("choice 1")], style=wx.LB_HSCROLL | wx.LB_SINGLE | wx.LB_SORT)
        self.bAdd_DFlat = wx.Button(self, wx.ID_ANY, _("ADD"))
        self.bEdit_DFlat = wx.Button(self, wx.ID_ANY, _("EDIT"))
        self.bDEL_DFlat = wx.Button(self, wx.ID_ANY, _("DELETE"))
        self.bCLR_DFlat = wx.Button(self, wx.ID_ANY, _("CLEAR"))
        self.bClearAllFiles = wx.Button(self, wx.ID_ANY, _("Clear all files"))

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CFfiles.__set_properties
        self.TitreFilesImage.SetBackgroundColour(wx.Colour(226, 220, 194))
        self.TitreFilesImage.SetForegroundColour(wx.Colour(0, 0, 0))
        self.lb_Img.SetToolTip(_("add the image files"))
        self.lb_Img.SetSelection(0)
        self.bAdd_Img.SetToolTip(_("Add a file in the list"))
        self.bEdit_Img.SetToolTip(_("Edit a file in the list"))
        self.bDEL_Img.SetToolTip(_("Delete a file of the list"))
        self.bCLR_Img.SetToolTip(_("Clear all files"))
        self.TitreFilesOffset.SetBackgroundColour(wx.Colour(226, 220, 194))
        self.TitreFilesOffset.SetForegroundColour(wx.Colour(0, 0, 0))
        self.lb_Offset.SetToolTip(_("add the bias files or the master-bias file"))
        self.lb_Offset.SetSelection(0)
        self.bAdd_Offset.SetToolTip(_("Add a file in the list"))
        self.bEdit_Offset.SetToolTip(_("Edit a file in the list"))
        self.bDEL_Offset.SetToolTip(_("Delete a file of the list"))
        self.bCLR_Offset.SetToolTip(_("Clear all files"))
        self.TitreFilesDark.SetBackgroundColour(wx.Colour(226, 220, 194))
        self.TitreFilesDark.SetForegroundColour(wx.Colour(0, 0, 0))
        self.lb_Dark.SetToolTip(_("add the dark files or the master-dark file"))
        self.lb_Dark.SetSelection(0)
        self.bAdd_Dark.SetToolTip(_("Add a file in the list"))
        self.bEdit_Dark.SetToolTip(_("Edit a file in the list"))
        self.bDEL_Dark.SetToolTip(_("Delete a file of the list"))
        self.bCLR_Dark.SetToolTip(_("Clear all files"))
        self.TitreFilesFlat.SetBackgroundColour(wx.Colour(226, 220, 194))
        self.TitreFilesFlat.SetForegroundColour(wx.Colour(0, 0, 0))
        self.lb_Flat.SetToolTip(_("add the flat files or the master-flat file"))
        self.lb_Flat.SetSelection(0)
        self.bAdd_Flat.SetToolTip(_("Add a file in the list"))
        self.bEdit_Flat.SetToolTip(_("Edit a file in the list"))
        self.bDEL_Flat.SetToolTip(_("Delete a file of the list"))
        self.bCLR_Flat.SetToolTip(_("Delete a file of the list"))
        self.TitreFilesDFlat.SetBackgroundColour(wx.Colour(226, 220, 194))
        self.TitreFilesDFlat.SetForegroundColour(wx.Colour(0, 0, 0))
        self.lb_DFlat.SetToolTip(_("add the dark flat files or the master-darkflat file"))
        self.lb_DFlat.SetSelection(0)
        self.bAdd_DFlat.SetToolTip(_("Add a file in the list"))
        self.bEdit_DFlat.SetToolTip(_("Edit a file in the list"))
        self.bDEL_DFlat.SetToolTip(_("Delete a file of the list"))
        self.bCLR_DFlat.SetToolTip(_("Clear all files"))
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CFfiles.__do_layout
        sizer_21 = wx.BoxSizer(wx.VERTICAL)
        sizer_17 = wx.BoxSizer(wx.HORIZONTAL)
        grid_sizer_12 = wx.GridBagSizer(0, 0)
        grid_sizer_11 = wx.GridBagSizer(0, 0)
        grid_sizer_10 = wx.GridBagSizer(0, 0)
        grid_sizer_9 = wx.GridBagSizer(0, 0)
        grid_sizer_8 = wx.GridBagSizer(0, 0)
        label_16 = wx.StaticText(self, wx.ID_ANY, _("Drag and drop the images or use the selection button"))
        sizer_21.Add(label_16, 0, 0, 0)
        grid_sizer_8.Add(self.TitreFilesImage, (0, 0), (1, 2), wx.EXPAND, 0)
        grid_sizer_8.Add(self.lb_Img, (1, 0), (5, 1), wx.EXPAND | wx.FIXED_MINSIZE, 0)
        grid_sizer_8.Add(self.bAdd_Img, (1, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_8.Add(self.bEdit_Img, (2, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_8.Add(20, 20, (3, 1), (1, 1), 0, 0)
        grid_sizer_8.Add(self.bDEL_Img, (4, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_8.Add(self.bCLR_Img, (5, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_8.AddGrowableCol(0)
        sizer_21.Add(grid_sizer_8, 1, wx.EXPAND, 0)
        grid_sizer_9.Add(self.TitreFilesOffset, (0, 0), (1, 2), wx.EXPAND, 0)
        grid_sizer_9.Add(self.lb_Offset, (1, 0), (5, 1), wx.EXPAND | wx.FIXED_MINSIZE, 0)
        grid_sizer_9.Add(self.bAdd_Offset, (1, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_9.Add(self.bEdit_Offset, (2, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_9.Add(20, 20, (3, 1), (1, 1), 0, 0)
        grid_sizer_9.Add(self.bDEL_Offset, (4, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_9.Add(self.bCLR_Offset, (5, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_9.AddGrowableCol(0)
        sizer_21.Add(grid_sizer_9, 1, wx.EXPAND, 0)
        grid_sizer_10.Add(self.TitreFilesDark, (0, 0), (1, 2), wx.EXPAND, 0)
        grid_sizer_10.Add(self.lb_Dark, (1, 0), (5, 1), wx.EXPAND | wx.FIXED_MINSIZE, 0)
        grid_sizer_10.Add(self.bAdd_Dark, (1, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_10.Add(self.bEdit_Dark, (2, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_10.Add(20, 20, (3, 1), (1, 1), 0, 0)
        grid_sizer_10.Add(self.bDEL_Dark, (4, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_10.Add(self.bCLR_Dark, (5, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_10.AddGrowableCol(0)
        sizer_21.Add(grid_sizer_10, 1, wx.EXPAND, 0)
        grid_sizer_11.Add(self.TitreFilesFlat, (0, 0), (1, 2), wx.EXPAND, 0)
        grid_sizer_11.Add(self.lb_Flat, (1, 0), (5, 1), wx.EXPAND | wx.FIXED_MINSIZE, 0)
        grid_sizer_11.Add(self.bAdd_Flat, (1, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_11.Add(self.bEdit_Flat, (2, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_11.Add(20, 20, (3, 1), (1, 1), 0, 0)
        grid_sizer_11.Add(self.bDEL_Flat, (4, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_11.Add(self.bCLR_Flat, (5, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_11.AddGrowableCol(0)
        sizer_21.Add(grid_sizer_11, 1, wx.EXPAND, 0)
        grid_sizer_12.Add(self.TitreFilesDFlat, (0, 0), (1, 2), wx.EXPAND, 0)
        grid_sizer_12.Add(self.lb_DFlat, (1, 0), (5, 1), wx.EXPAND, 0)
        grid_sizer_12.Add(self.bAdd_DFlat, (1, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_12.Add(self.bEdit_DFlat, (2, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_12.Add(20, 20, (3, 1), (1, 1), 0, 0)
        grid_sizer_12.Add(self.bDEL_DFlat, (4, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_12.Add(self.bCLR_DFlat, (5, 1), (1, 1), wx.ALIGN_CENTER, 0)
        grid_sizer_12.AddGrowableCol(0)
        sizer_21.Add(grid_sizer_12, 1, wx.EXPAND, 0)
        sizer_17.Add((20, 10), 1, 0, 0)
        sizer_17.Add(self.bClearAllFiles, 0, 0, 0)
        sizer_17.Add((20, 10), 1, 0, 0)
        sizer_21.Add(sizer_17, 0, wx.EXPAND, 0)
        self.SetSizer(sizer_21)
        sizer_21.Fit(self)
        self.Layout()
        # end wxGlade

# end of class CFfiles

class CFproperties(wx.Panel):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CFproperties.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_FRAME_STYLE
        wx.Panel.__init__(self, *args, **kwds)
        self.l_mode_param = wx.StaticText(self, wx.ID_ANY, _("identical parameters for all layers"))
        self.TitreOptImage = wx.StaticText(self, wx.ID_ANY, _("Options: Image "))
        self.cb_OffsetSub_Image = wx.CheckBox(self, wx.ID_ANY, _("Bias subtract"), style=wx.CHK_2STATE)
        self.cb_fix_fujix = wx.CheckBox(self, wx.ID_ANY, _("fix Fuji X    "), style=wx.CHK_2STATE)
        self.cb_optimdark = wx.CheckBox(self, wx.ID_ANY, _("Optim.Dark"), style=wx.CHK_2STATE)
        self.bDetailImage = wx.ToggleButton(self, wx.ID_ANY, _("..."))
        self.cb_StackImage = wx.ComboBox(self, wx.ID_ANY, choices=[_("sum"), _("max"), _("min"), _("med"), _("median"), _("rej"), _("mean")], style=wx.CB_DROPDOWN)
        self.cb_rejtypeImage = wx.ComboBox(self, wx.ID_ANY, choices=[_("Percentile"), _("MAD"), _("Sigma"), _("Median"), _("Winsorized"), _("Linear-Fit"), _("Generalized")], style=wx.CB_DROPDOWN)
        self.lHighImage = wx.StaticText(self, wx.ID_ANY, _("High: "))
        self.e_RejH_Image = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.001, max=30.0)
        self.lLowImage = wx.StaticText(self, wx.ID_ANY, _("Low: "))
        self.e_RejL_Image = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.001, max=30.0)
        self.cb_weightedImage = wx.CheckBox(self, wx.ID_ANY, "", style=wx.CHK_2STATE)
        self.cb_NormImage = wx.ComboBox(self, wx.ID_ANY, choices=[_("no"), _("add"), _("mul"), _("addscale"), _("mulscale")], style=wx.CB_DROPDOWN)
        self.e_fwhm_filter = wx.TextCtrl(self, wx.ID_ANY, _("90%"), style=wx.TE_NO_VSCROLL | wx.TE_RIGHT)
        self.e_wfwhm_filter = wx.TextCtrl(self, wx.ID_ANY, _("90%"), style=wx.TE_NO_VSCROLL | wx.TE_RIGHT)
        self.e_round_filter = wx.TextCtrl(self, wx.ID_ANY, _("85%"), style=wx.TE_NO_VSCROLL | wx.TE_RIGHT)
        self.e_quality = wx.TextCtrl(self, wx.ID_ANY, "", style=wx.TE_NO_VSCROLL | wx.TE_RIGHT)
        self.cb_Cosmetic_Image = wx.CheckBox(self, wx.ID_ANY, _("active"), style=wx.CHK_2STATE)
        self.e_RejH_Cosmetic = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.1, max=30.0)
        self.e_RejL_Cosmetic = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.1, max=30.0)
        self.labelFindStar = wx.StaticText(self, wx.ID_ANY, _("Register: Find star"))
        self.labelSubsky = wx.StaticText(self, wx.ID_ANY, _("subsky"))
        self.cb_findstar = wx.CheckBox(self, wx.ID_ANY, _("active"), style=wx.CHK_2STATE)
        self.labelKSigma = wx.StaticText(self, wx.ID_ANY, _("K sigma: "))
        self.e_sigma_findstar = wx.SpinCtrlDouble(self, wx.ID_ANY, "1.0", min=0.05, max=30.0)
        self.labelRoudness = wx.StaticText(self, wx.ID_ANY, _("Roudness:"))
        self.e_roundness_findstar = wx.SpinCtrlDouble(self, wx.ID_ANY, "0.5", min=0.1, max=0.9)
        self.labelDegree = wx.StaticText(self, wx.ID_ANY, _("degree:"))
        self.spDegree = wx.SpinCtrl(self, wx.ID_ANY, "0", min=0, max=10)
        self.labelRegOptions = wx.StaticText(self, wx.ID_ANY, _("Register options:"))
        self.labelTransf = wx.StaticText(self, wx.ID_ANY, _("Transf.:"), style=wx.ALIGN_RIGHT)
        self.cb_transf = wx.ComboBox(self, wx.ID_ANY, choices=["", _("shift"), _("affine"), _("homography")], style=wx.CB_DROPDOWN)
        self.cb_drizzle = wx.CheckBox(self, wx.ID_ANY, _("Drizzle "), style=wx.CHK_2STATE)
        self.e_minpairs = wx.TextCtrl(self, wx.ID_ANY, "", style=wx.TE_NO_VSCROLL | wx.TE_RIGHT)
        self.labelMinPairs = wx.StaticText(self, wx.ID_ANY, _("min.  star pairs"), style=wx.ALIGN_RIGHT)
        self.cb_norot = wx.CheckBox(self, wx.ID_ANY, _("no rotate"), style=wx.CHK_2STATE)
        self.TitreOptOffset = wx.StaticText(self, wx.ID_ANY, _("Options: Bias"))
        self.cb_cpylibOffset = wx.CheckBox(self, wx.ID_ANY, _("copy the library by Siril"), style=wx.CHK_2STATE)
        self.bDetailOffset = wx.ToggleButton(self, wx.ID_ANY, _("..."))
        self.labelStackOffset = wx.StaticText(self, wx.ID_ANY, _("Stack"))
        self.labelRejTypeOffset = wx.StaticText(self, wx.ID_ANY, _("Rejection type"))
        self.label_weighted_offset = wx.StaticText(self, wx.ID_ANY, _("weighted"))
        self.labelNormOffset = wx.StaticText(self, wx.ID_ANY, _("Normalisation"))
        self.cb_StackOffset = wx.ComboBox(self, wx.ID_ANY, choices=[_("sum"), _("max"), _("min"), _("med"), _("median"), _("rej")], style=wx.CB_DROPDOWN)
        self.cb_rejtypeOffset = wx.ComboBox(self, wx.ID_ANY, choices=[_("Percentile"), _("MAD"), _("Sigma"), _("Median"), _("Winsorized"), _("Linear-Fit"), _("Generalized")], style=wx.CB_DROPDOWN)
        self.lHighOffset = wx.StaticText(self, wx.ID_ANY, _("High: "), style=wx.ALIGN_RIGHT)
        self.e_RejH_Offset = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.1, max=30.0)
        self.lLowOffset = wx.StaticText(self, wx.ID_ANY, _("Low: "), style=wx.ALIGN_RIGHT)
        self.e_RejL_Offset = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.1, max=30.0)
        self.cb_weightedOffset = wx.CheckBox(self, wx.ID_ANY, "", style=wx.CHK_2STATE)
        self.cb_NormOffset = wx.ComboBox(self, wx.ID_ANY, choices=[_("no"), _("add"), _("mul"), _("addscale"), _("mulscale")], style=wx.CB_DROPDOWN)
        self.TitreOptDark = wx.StaticText(self, wx.ID_ANY, _("Options: Dark"))
        self.cb_OffsetSub_Dark = wx.CheckBox(self, wx.ID_ANY, _("Bias subtract"), style=wx.CHK_2STATE)
        self.cb_cpylib_Dark = wx.CheckBox(self, wx.ID_ANY, _("copy the library by Siril"), style=wx.CHK_2STATE)
        self.bDetailDark = wx.ToggleButton(self, wx.ID_ANY, _("..."))
        self.labelStackDark = wx.StaticText(self, wx.ID_ANY, _("Stack"))
        self.labelRejTypeDark = wx.StaticText(self, wx.ID_ANY, _("Rejection type"))
        self.label_weighted_dark = wx.StaticText(self, wx.ID_ANY, _("weighted"))
        self.labelNormDark = wx.StaticText(self, wx.ID_ANY, _("Normalisation"))
        self.cb_StackDark = wx.ComboBox(self, wx.ID_ANY, choices=[_("sum"), _("max"), _("min"), _("med"), _("median"), _("rej")], style=wx.CB_DROPDOWN)
        self.cb_rejtypeDark = wx.ComboBox(self, wx.ID_ANY, choices=[_("Percentile"), _("MAD"), _("Sigma"), _("Median"), _("Winsorized"), _("Linear-Fit"), _("Generalized")], style=wx.CB_DROPDOWN)
        self.lHighDark = wx.StaticText(self, wx.ID_ANY, _("High: "), style=wx.ALIGN_RIGHT)
        self.e_RejH_Dark = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.1, max=30.0)
        self.lLowDark = wx.StaticText(self, wx.ID_ANY, _("Low: "), style=wx.ALIGN_RIGHT)
        self.e_RejL_Dark = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.1, max=30.0)
        self.cb_weightedDark = wx.CheckBox(self, wx.ID_ANY, "", style=wx.CHK_2STATE)
        self.cb_NormDark = wx.ComboBox(self, wx.ID_ANY, choices=[_("no"), _("add"), _("mul"), _("addscale"), _("mulscale")], style=wx.CB_DROPDOWN)
        self.TitreOptFlat = wx.StaticText(self, wx.ID_ANY, _("Options: Flat"))
        self.cb_OffsetSub_Flat = wx.CheckBox(self, wx.ID_ANY, _("Bias subtract"), style=wx.CHK_2STATE)
        self.cb_cpylib_Flat = wx.CheckBox(self, wx.ID_ANY, _("copy the library by Siril"), style=wx.CHK_2STATE)
        self.bDetailFlat = wx.ToggleButton(self, wx.ID_ANY, _("..."))
        self.labelStackFlat = wx.StaticText(self, wx.ID_ANY, _("Stack"))
        self.labelRejTypeFlat = wx.StaticText(self, wx.ID_ANY, _("Rejection type"))
        self.label_weighted_flat = wx.StaticText(self, wx.ID_ANY, _("weighted"))
        self.labelNormFlat = wx.StaticText(self, wx.ID_ANY, _("Normalisation"))
        self.cb_StackFlat = wx.ComboBox(self, wx.ID_ANY, choices=[_("sum"), _("max"), _("min"), _("med"), _("median"), _("rej")], style=wx.CB_DROPDOWN)
        self.cb_rejtypeFlat = wx.ComboBox(self, wx.ID_ANY, choices=[_("Percentile"), _("MAD"), _("Sigma"), _("Median"), _("Winsorized"), _("Linear-Fit"), _("Generalized")], style=wx.CB_DROPDOWN)
        self.lHighFlat = wx.StaticText(self, wx.ID_ANY, _("High: "), style=wx.ALIGN_RIGHT)
        self.e_RejH_Flat = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.1, max=30.0)
        self.lLowFlat = wx.StaticText(self, wx.ID_ANY, _("Low: "), style=wx.ALIGN_RIGHT)
        self.e_RejL_Flat = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.1, max=30.0)
        self.cb_weightedFlat = wx.CheckBox(self, wx.ID_ANY, "", style=wx.CHK_2STATE)
        self.cb_NormFlat = wx.ComboBox(self, wx.ID_ANY, choices=[_("no"), _("add"), _("mul"), _("addscale"), _("mulscale")], style=wx.CB_DROPDOWN)
        self.TitreOptDFlat = wx.StaticText(self, wx.ID_ANY, _("Options: Dark-Flat"))
        self.cb_OffsetSub_DFlat = wx.CheckBox(self, wx.ID_ANY, _("Bias subtract"), style=wx.CHK_2STATE)
        self.cb_cpylib_DFlat = wx.CheckBox(self, wx.ID_ANY, _("copy the library by Siril"), style=wx.CHK_2STATE)
        self.bDetailDFlat = wx.ToggleButton(self, wx.ID_ANY, _("..."))
        self.labelStackDFlat = wx.StaticText(self, wx.ID_ANY, _("Stack"))
        self.labelRejTypeDFlat = wx.StaticText(self, wx.ID_ANY, _("Rejection type"))
        self.label_weighted_dflat = wx.StaticText(self, wx.ID_ANY, _("weighted"))
        self.labelNormDFlat = wx.StaticText(self, wx.ID_ANY, _("Normalisation"))
        self.cb_StackDFlat = wx.ComboBox(self, wx.ID_ANY, choices=[_("sum"), _("max"), _("min"), _("med"), _("median"), _("rej")], style=wx.CB_DROPDOWN)
        self.cb_rejtypeDFlat = wx.ComboBox(self, wx.ID_ANY, choices=[_("Percentile"), _("MAD"), _("Sigma"), _("Median"), _("Winsorized"), _("Linear-Fit"), _("Generalized")], style=wx.CB_DROPDOWN)
        self.lHighDFlat = wx.StaticText(self, wx.ID_ANY, _("High: "), style=wx.ALIGN_RIGHT)
        self.e_RejH_DFlat = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.1, max=30.0)
        self.lLowDFlat = wx.StaticText(self, wx.ID_ANY, _("Low: "), style=wx.ALIGN_RIGHT)
        self.e_RejL_DFlat = wx.SpinCtrlDouble(self, wx.ID_ANY, "3.0", min=0.1, max=30.0)
        self.cb_weightedDFlat = wx.CheckBox(self, wx.ID_ANY, "", style=wx.CHK_2STATE)
        self.cb_NormDFlat = wx.ComboBox(self, wx.ID_ANY, choices=[_("no"), _("add"), _("mul"), _("addscale"), _("mulscale")], style=wx.CB_DROPDOWN)

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CFproperties.__set_properties
        self.l_mode_param.SetForegroundColour(wx.Colour(255, 0, 0))
        self.TitreOptImage.SetBackgroundColour(wx.Colour(226, 220, 194))
        self.TitreOptImage.SetForegroundColour(wx.Colour(0, 0, 0))
        self.bDetailImage.SetMinSize((20, -1))
        self.bDetailImage.SetToolTip(_("shows other options"))
        self.cb_StackImage.SetSelection(5)
        self.cb_rejtypeImage.SetSelection(3)
        self.e_RejH_Image.SetDigits(3)
        self.e_RejH_Image.SetIncrement(0.1)
        self.e_RejL_Image.SetDigits(3)
        self.e_RejL_Image.SetIncrement(0.1)
        self.cb_NormImage.SetSelection(0)
        self.e_fwhm_filter.SetToolTip(_("empty = no filter\nvalue : filter  on the  fwhm value (ex: fwhm < 4.2 )\npourcentage : filter xx % on the best  fwhm (ex:  95% )"))
        self.e_wfwhm_filter.SetToolTip(_("empty = no filter\nvalue : filter  on the  weighted fwhm value (ex: fwhm < 4.2 )\npourcentage : filter xx % on the best weighted fwhm (ex:  95% )"))
        self.e_round_filter.SetToolTip(_("empty = no filter\nvalue [0.0-1.0] : filter  on the roundness value (ex: roundness > 0.8 )\npourcentage : filter xx % on the best  roundness (ex:  95% )\n"))
        self.e_quality.SetToolTip(_("empty =no filter \nvalue [0.0-1.0] : filter  on the quality value (ex: quality > 0.8 )\npourcentage : filter xx % on the best  quality (ex:  95% )\n** for the planetary only **\n"))
        self.e_RejH_Cosmetic.SetDigits(1)
        self.e_RejH_Cosmetic.SetIncrement(0.1)
        self.e_RejL_Cosmetic.SetDigits(1)
        self.e_RejL_Cosmetic.SetIncrement(0.1)
        self.labelFindStar.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelFindStar.SetForegroundColour(wx.Colour(255, 255, 255))
        self.labelSubsky.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelSubsky.SetForegroundColour(wx.Colour(255, 255, 255))
        self.e_sigma_findstar.SetDigits(1)
        self.e_sigma_findstar.SetIncrement(0.05)
        self.e_roundness_findstar.SetDigits(1)
        self.e_roundness_findstar.SetIncrement(0.05)
        self.spDegree.SetToolTip(_("Computes the level of the local sky background thanks to a polynomial function of an order degree and subtracts it from the image"))
        self.labelRegOptions.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelRegOptions.SetForegroundColour(wx.Colour(255, 255, 255))
        self.cb_transf.SetSelection(0)
        self.e_minpairs.SetToolTip(_("empty = default value of siril\nan integer that specify the minimum number of star pairs a frame must have with the reference frame, otherwise the frame will be dropped."))
        self.TitreOptOffset.SetBackgroundColour(wx.Colour(226, 220, 194))
        self.TitreOptOffset.SetForegroundColour(wx.Colour(0, 0, 0))
        self.bDetailOffset.SetMinSize((20, -1))
        self.bDetailOffset.SetToolTip(_("shows other options"))
        self.labelStackOffset.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelStackOffset.SetForegroundColour(wx.Colour(255, 255, 255))
        self.labelRejTypeOffset.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelRejTypeOffset.SetForegroundColour(wx.Colour(255, 255, 255))
        self.label_weighted_offset.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.label_weighted_offset.SetForegroundColour(wx.Colour(255, 255, 255))
        self.label_weighted_offset.Hide()
        self.labelNormOffset.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelNormOffset.SetForegroundColour(wx.Colour(255, 255, 255))
        self.cb_StackOffset.SetSelection(5)
        self.cb_rejtypeOffset.SetSelection(3)
        self.e_RejH_Offset.SetDigits(1)
        self.e_RejH_Offset.SetIncrement(0.1)
        self.e_RejL_Offset.SetDigits(1)
        self.e_RejL_Offset.SetIncrement(0.1)
        self.cb_weightedOffset.Hide()
        self.cb_NormOffset.SetSelection(0)
        self.TitreOptDark.SetBackgroundColour(wx.Colour(226, 220, 194))
        self.TitreOptDark.SetForegroundColour(wx.Colour(0, 0, 0))
        self.bDetailDark.SetMinSize((20, -1))
        self.bDetailDark.SetToolTip(_("shows other options"))
        self.labelStackDark.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelStackDark.SetForegroundColour(wx.Colour(255, 255, 255))
        self.labelRejTypeDark.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelRejTypeDark.SetForegroundColour(wx.Colour(255, 255, 255))
        self.label_weighted_dark.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.label_weighted_dark.SetForegroundColour(wx.Colour(255, 255, 255))
        self.label_weighted_dark.Hide()
        self.labelNormDark.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelNormDark.SetForegroundColour(wx.Colour(255, 255, 255))
        self.cb_StackDark.SetSelection(5)
        self.cb_rejtypeDark.SetSelection(3)
        self.e_RejH_Dark.SetDigits(1)
        self.e_RejH_Dark.SetIncrement(0.1)
        self.e_RejL_Dark.SetDigits(1)
        self.e_RejL_Dark.SetIncrement(0.1)
        self.cb_NormDark.SetSelection(0)
        self.TitreOptFlat.SetBackgroundColour(wx.Colour(226, 220, 194))
        self.TitreOptFlat.SetForegroundColour(wx.Colour(0, 0, 0))
        self.bDetailFlat.SetMinSize((20, -1))
        self.bDetailFlat.SetToolTip(_("shows other options"))
        self.labelStackFlat.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelStackFlat.SetForegroundColour(wx.Colour(255, 255, 255))
        self.labelRejTypeFlat.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelRejTypeFlat.SetForegroundColour(wx.Colour(255, 255, 255))
        self.label_weighted_flat.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.label_weighted_flat.SetForegroundColour(wx.Colour(255, 255, 255))
        self.label_weighted_flat.Hide()
        self.labelNormFlat.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelNormFlat.SetForegroundColour(wx.Colour(255, 255, 255))
        self.cb_StackFlat.SetSelection(5)
        self.cb_rejtypeFlat.SetSelection(3)
        self.e_RejH_Flat.SetDigits(1)
        self.e_RejH_Flat.SetIncrement(0.1)
        self.e_RejL_Flat.SetDigits(1)
        self.e_RejL_Flat.SetIncrement(0.1)
        self.cb_NormFlat.SetSelection(2)
        self.TitreOptDFlat.SetBackgroundColour(wx.Colour(226, 220, 194))
        self.TitreOptDFlat.SetForegroundColour(wx.Colour(0, 0, 0))
        self.bDetailDFlat.SetMinSize((20, -1))
        self.bDetailDFlat.SetToolTip(_("shows other options"))
        self.labelStackDFlat.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelStackDFlat.SetForegroundColour(wx.Colour(255, 255, 255))
        self.labelRejTypeDFlat.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelRejTypeDFlat.SetForegroundColour(wx.Colour(255, 255, 255))
        self.label_weighted_dflat.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.label_weighted_dflat.SetForegroundColour(wx.Colour(255, 255, 255))
        self.label_weighted_dflat.Hide()
        self.labelNormDFlat.SetBackgroundColour(wx.Colour(143, 143, 188))
        self.labelNormDFlat.SetForegroundColour(wx.Colour(255, 255, 255))
        self.cb_StackDFlat.SetSelection(5)
        self.cb_rejtypeDFlat.SetSelection(3)
        self.e_RejH_DFlat.SetDigits(1)
        self.e_RejH_DFlat.SetIncrement(0.1)
        self.e_RejL_DFlat.SetDigits(1)
        self.e_RejL_DFlat.SetIncrement(0.1)
        self.cb_NormDFlat.SetSelection(0)
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CFproperties.__do_layout
        sizer_10 = wx.BoxSizer(wx.VERTICAL)
        self.grid_sizer_7 = wx.GridBagSizer(5, 5)
        sizer_10.Add(self.l_mode_param, 0, 0, 0)
        static_line_8 = wx.StaticLine(self, wx.ID_ANY)
        sizer_10.Add(static_line_8, 0, wx.EXPAND, 0)
        sizer_10.Add((10, 20), 0, 0, 0)
        self.grid_sizer_7.Add(self.TitreOptImage, (0, 0), (1, 8), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_OffsetSub_Image, (1, 0), (1, 2), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_fix_fujix, (1, 2), (1, 3), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_optimdark, (1, 5), (1, 2), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.bDetailImage, (1, 7), (1, 1), wx.ALIGN_RIGHT, 0)
        label_1 = wx.StaticText(self, wx.ID_ANY, _("Stack"))
        label_1.SetBackgroundColour(wx.Colour(143, 143, 188))
        label_1.SetForegroundColour(wx.Colour(255, 255, 255))
        self.grid_sizer_7.Add(label_1, (2, 0), (1, 1), wx.EXPAND, 0)
        label_2 = wx.StaticText(self, wx.ID_ANY, _("Rejection type"))
        label_2.SetBackgroundColour(wx.Colour(143, 143, 188))
        label_2.SetForegroundColour(wx.Colour(255, 255, 255))
        self.grid_sizer_7.Add(label_2, (2, 1), (1, 5), wx.EXPAND, 0)
        label_3 = wx.StaticText(self, wx.ID_ANY, _("weighted"))
        label_3.SetBackgroundColour(wx.Colour(143, 143, 188))
        label_3.SetForegroundColour(wx.Colour(255, 255, 255))
        self.grid_sizer_7.Add(label_3, (2, 6), (1, 1), wx.EXPAND, 0)
        label_4 = wx.StaticText(self, wx.ID_ANY, _("Normalisation"))
        label_4.SetBackgroundColour(wx.Colour(143, 143, 188))
        label_4.SetForegroundColour(wx.Colour(255, 255, 255))
        self.grid_sizer_7.Add(label_4, (2, 7), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_StackImage, (3, 0), (1, 1), wx.ALIGN_CENTER, 0)
        self.grid_sizer_7.Add(self.cb_rejtypeImage, (3, 1), (1, 1), wx.FIXED_MINSIZE, 0)
        self.grid_sizer_7.Add(self.lHighImage, (3, 2), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.e_RejH_Image, (3, 3), (1, 1), wx.FIXED_MINSIZE, 0)
        self.grid_sizer_7.Add(self.lLowImage, (3, 4), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.e_RejL_Image, (3, 5), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.cb_weightedImage, (3, 6), (1, 1), wx.ALIGN_CENTER, 0)
        self.grid_sizer_7.Add(self.cb_NormImage, (3, 7), (1, 1), wx.EXPAND, 0)
        label_5 = wx.StaticText(self, wx.ID_ANY, _("Stacking Filter"))
        label_5.SetBackgroundColour(wx.Colour(143, 143, 188))
        label_5.SetForegroundColour(wx.Colour(255, 255, 255))
        self.grid_sizer_7.Add(label_5, (4, 0), (1, 8), wx.EXPAND, 0)
        label_11 = wx.StaticText(self, wx.ID_ANY, _("FWHM: "))
        self.grid_sizer_7.Add(label_11, (5, 0), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.e_fwhm_filter, (5, 1), (1, 1), 0, 0)
        label_16 = wx.StaticText(self, wx.ID_ANY, _("WFWHM: "))
        self.grid_sizer_7.Add(label_16, (5, 2), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.e_wfwhm_filter, (5, 3), (1, 1), 0, 0)
        label_12 = wx.StaticText(self, wx.ID_ANY, _("Round: "))
        self.grid_sizer_7.Add(label_12, (5, 4), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.e_round_filter, (5, 5), (1, 1), 0, 0)
        label_13 = wx.StaticText(self, wx.ID_ANY, _("Quality: "))
        self.grid_sizer_7.Add(label_13, (5, 6), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.e_quality, (5, 7), (1, 1), 0, 0)
        label_6 = wx.StaticText(self, wx.ID_ANY, _("Cosmetic"))
        label_6.SetBackgroundColour(wx.Colour(143, 143, 188))
        label_6.SetForegroundColour(wx.Colour(255, 255, 255))
        self.grid_sizer_7.Add(label_6, (6, 0), (1, 8), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_Cosmetic_Image, (7, 0), (1, 1), wx.ALIGN_CENTER, 0)
        label_14 = wx.StaticText(self, wx.ID_ANY, _("High sigma: "))
        self.grid_sizer_7.Add(label_14, (7, 2), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.e_RejH_Cosmetic, (7, 3), (1, 1), 0, 0)
        label_15 = wx.StaticText(self, wx.ID_ANY, _("Low sigma: "))
        self.grid_sizer_7.Add(label_15, (7, 4), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.e_RejL_Cosmetic, (7, 5), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.labelFindStar, (8, 0), (1, 6), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.labelSubsky, (8, 6), (1, 2), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_findstar, (9, 0), (1, 1), wx.ALIGN_CENTER, 0)
        self.grid_sizer_7.Add(self.labelKSigma, (9, 2), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.e_sigma_findstar, (9, 3), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.labelRoudness, (9, 4), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.e_roundness_findstar, (9, 5), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.labelDegree, (9, 6), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.spDegree, (9, 7), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.labelRegOptions, (10, 0), (1, 8), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.labelTransf, (11, 0), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.cb_transf, (11, 1), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_drizzle, (11, 2), (1, 2), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.e_minpairs, (11, 4), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.labelMinPairs, (11, 5), (1, 3), 0, 0)
        self.grid_sizer_7.Add(self.cb_norot, (12, 2), (1, 2), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.TitreOptOffset, (13, 0), (1, 8), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_cpylibOffset, (14, 4), (1, 3), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.bDetailOffset, (14, 7), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.labelStackOffset, (15, 0), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.labelRejTypeOffset, (15, 1), (1, 5), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.label_weighted_offset, (15, 6), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.labelNormOffset, (15, 7), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_StackOffset, (16, 0), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_rejtypeOffset, (16, 1), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.lHighOffset, (16, 2), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.e_RejH_Offset, (16, 3), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.lLowOffset, (16, 4), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.e_RejL_Offset, (16, 5), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.cb_weightedOffset, (16, 6), (1, 1), wx.ALIGN_CENTER, 0)
        self.grid_sizer_7.Add(self.cb_NormOffset, (16, 7), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.TitreOptDark, (17, 0), (1, 8), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_OffsetSub_Dark, (18, 0), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.cb_cpylib_Dark, (18, 4), (1, 3), 0, 0)
        self.grid_sizer_7.Add(self.bDetailDark, (18, 7), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.labelStackDark, (19, 0), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.labelRejTypeDark, (19, 1), (1, 5), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.label_weighted_dark, (19, 6), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.labelNormDark, (19, 7), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_StackDark, (20, 0), (1, 1), wx.ALIGN_CENTER, 0)
        self.grid_sizer_7.Add(self.cb_rejtypeDark, (20, 1), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.lHighDark, (20, 2), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.e_RejH_Dark, (20, 3), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.lLowDark, (20, 4), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.e_RejL_Dark, (20, 5), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.cb_weightedDark, (20, 6), (1, 1), wx.ALIGN_CENTER, 0)
        self.grid_sizer_7.Add(self.cb_NormDark, (20, 7), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.TitreOptFlat, (21, 0), (1, 8), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_OffsetSub_Flat, (22, 0), (1, 2), 0, 0)
        self.grid_sizer_7.Add(self.cb_cpylib_Flat, (22, 4), (1, 3), 0, 0)
        self.grid_sizer_7.Add(self.bDetailFlat, (22, 7), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.labelStackFlat, (23, 0), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.labelRejTypeFlat, (23, 1), (1, 5), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.label_weighted_flat, (23, 6), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.labelNormFlat, (23, 7), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_StackFlat, (24, 0), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.cb_rejtypeFlat, (24, 1), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.lHighFlat, (24, 2), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.e_RejH_Flat, (24, 3), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.lLowFlat, (24, 4), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.e_RejL_Flat, (24, 5), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.cb_weightedFlat, (24, 6), (1, 1), wx.ALIGN_CENTER, 0)
        self.grid_sizer_7.Add(self.cb_NormFlat, (24, 7), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.TitreOptDFlat, (25, 0), (1, 8), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_OffsetSub_DFlat, (26, 0), (1, 2), 0, 0)
        self.grid_sizer_7.Add(self.cb_cpylib_DFlat, (26, 4), (1, 3), 0, 0)
        self.grid_sizer_7.Add(self.bDetailDFlat, (26, 7), (1, 1), wx.ALIGN_RIGHT, 0)
        self.grid_sizer_7.Add(self.labelStackDFlat, (27, 0), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.labelRejTypeDFlat, (27, 1), (1, 5), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.label_weighted_dflat, (27, 6), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.labelNormDFlat, (27, 7), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.cb_StackDFlat, (28, 0), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.cb_rejtypeDFlat, (28, 1), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.lHighDFlat, (28, 2), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.e_RejH_DFlat, (28, 3), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.lLowDFlat, (28, 4), (1, 1), wx.EXPAND, 0)
        self.grid_sizer_7.Add(self.e_RejL_DFlat, (28, 5), (1, 1), 0, 0)
        self.grid_sizer_7.Add(self.cb_weightedDFlat, (28, 6), (1, 1), wx.ALIGN_CENTER, 0)
        self.grid_sizer_7.Add(self.cb_NormDFlat, (28, 7), (1, 1), wx.EXPAND, 0)
        sizer_10.Add(self.grid_sizer_7, 1, wx.ALL | wx.EXPAND, 2)
        self.SetSizer(sizer_10)
        sizer_10.Fit(self)
        self.Layout()
        # end wxGlade

# end of class CFproperties

class CFlog(wx.Panel):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CFlog.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_FRAME_STYLE
        wx.Panel.__init__(self, *args, **kwds)
        self.tlog = wx.TextCtrl(self, wx.ID_ANY, "", style=wx.HSCROLL | wx.TE_DONTWRAP | wx.TE_MULTILINE | wx.TE_READONLY | wx.TE_RICH)
        self.lProgress = wx.TextCtrl(self, wx.ID_ANY, _("..."), style=wx.BORDER_NONE)
        self.esearch = wx.TextCtrl(self, wx.ID_ANY, "")
        self.bsearchprev = wx.Button(self, wx.ID_ANY, _("previous"))
        self.bsearchnext = wx.Button(self, wx.ID_ANY, _("next"))
        self.bclear = wx.Button(self, wx.ID_ANY, _("Clear"))
        self.bSiril = wx.Button(self, wx.ID_ANY, _("Siril"))

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CFlog.__set_properties
        self.tlog.SetFont(wx.Font(10, wx.FONTFAMILY_DEFAULT, wx.FONTSTYLE_NORMAL, wx.FONTWEIGHT_NORMAL, 0, ""))
        self.tlog.SetFocus()
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CFlog.__do_layout
        sizer_40 = wx.BoxSizer(wx.VERTICAL)
        sizer_41 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_40.Add(self.tlog, 1, wx.EXPAND, 0)
        sizer_40.Add(self.lProgress, 0, wx.EXPAND, 0)
        sizer_40.Add((0, 0), 0, 0, 0)
        sizer_41.Add((20, 20), 0, 0, 0)
        l_search = wx.StaticText(self, wx.ID_ANY, _("search:"))
        sizer_41.Add(l_search, 0, wx.RIGHT, 5)
        sizer_41.Add(self.esearch, 0, 0, 0)
        sizer_41.Add(self.bsearchprev, 0, wx.LEFT, 5)
        sizer_41.Add(self.bsearchnext, 0, wx.LEFT, 5)
        sizer_41.Add((20, 20), 1, wx.EXPAND, 0)
        sizer_41.Add(self.bclear, 0, 0, 0)
        sizer_41.Add((20, 20), 1, wx.EXPAND, 0)
        sizer_41.Add(self.bSiril, 0, 0, 0)
        sizer_40.Add(sizer_41, 0, wx.EXPAND, 0)
        self.SetSizer(sizer_40)
        sizer_40.Fit(self)
        self.Layout()
        # end wxGlade

# end of class CFlog

class CDlgDefaultMaster(wx.Dialog):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CDlgDefaultMaster.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_DIALOG_STYLE
        wx.Dialog.__init__(self, *args, **kwds)
        self.SetSize((600, 180))
        self.tOffsetMaster = wx.TextCtrl(self, wx.ID_ANY, "")
        self.bOffsetMaster = wx.Button(self, wx.ID_ANY, _("..."))
        self.tDarkMaster = wx.TextCtrl(self, wx.ID_ANY, "")
        self.bDarkMaster = wx.Button(self, wx.ID_ANY, _("..."))
        self.bOkMaster = wx.Button(self, wx.ID_OK, "")
        self.bCancelMaster = wx.Button(self, wx.ID_CANCEL, "")

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CDlgDefaultMaster.__set_properties
        self.SetTitle(_("Setting the default Bias and Dark Masters"))
        self.SetSize((600, 180))
        self.tOffsetMaster.SetMinSize((460, -1))
        self.bOffsetMaster.SetMinSize((50, -1))
        self.tDarkMaster.SetMinSize((460, 26))
        self.bDarkMaster.SetMinSize((50, -1))
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CDlgDefaultMaster.__do_layout
        sizer_39 = wx.BoxSizer(wx.VERTICAL)
        sizer_48 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_47 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("Default masters")), wx.HORIZONTAL)
        grid_sizer_2 = wx.GridBagSizer(11, 3)
        label_24 = wx.StaticText(self, wx.ID_ANY, _("BIAS : "))
        grid_sizer_2.Add(label_24, (0, 0), (1, 1), 0, 0)
        grid_sizer_2.Add(self.tOffsetMaster, (0, 1), (1, 1), wx.EXPAND, 0)
        grid_sizer_2.Add(self.bOffsetMaster, (0, 2), (1, 1), 0, 0)
        label_25 = wx.StaticText(self, wx.ID_ANY, _("DARK : "))
        grid_sizer_2.Add(label_25, (1, 0), (1, 1), 0, 0)
        grid_sizer_2.Add(self.tDarkMaster, (1, 1), (1, 1), wx.EXPAND, 0)
        grid_sizer_2.Add(self.bDarkMaster, (1, 2), (1, 1), 0, 0)
        sizer_47.Add(grid_sizer_2, 1, wx.EXPAND, 0)
        sizer_39.Add(sizer_47, 1, wx.ALL | wx.EXPAND, 3)
        sizer_48.Add(self.bOkMaster, 0, wx.EXPAND, 0)
        sizer_48.Add((20, 20), 1, wx.EXPAND, 0)
        sizer_48.Add(self.bCancelMaster, 0, wx.EXPAND, 0)
        sizer_39.Add(sizer_48, 0, wx.EXPAND, 0)
        self.SetSizer(sizer_39)
        self.Layout()
        # end wxGlade

# end of class CDlgDefaultMaster

class CTagProcess(wx.Dialog):
    def __init__(self, *args, **kwds):
        # begin wxGlade: CTagProcess.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_DIALOG_STYLE
        wx.Dialog.__init__(self, *args, **kwds)
        self.SetSize((500, 300))
        self.bSelectAll = wx.Button(self, wx.ID_ANY, _("Select All"))
        self.bUnSelectAll = wx.Button(self, wx.ID_ANY, _("Unselect All"))
        self.cklb_tag = wx.CheckListBox(self, wx.ID_ANY, choices=[_("choice 1")], style=wx.LB_ALWAYS_SB | wx.LB_HSCROLL)
        self.bOkTagProcess = wx.Button(self, wx.ID_OK, "")
        self.bCancelTagProcess = wx.Button(self, wx.ID_CANCEL, "")

        self.__set_properties()
        self.__do_layout()
        # end wxGlade

    def __set_properties(self):
        # begin wxGlade: CTagProcess.__set_properties
        self.SetTitle(_("Process list"))
        self.SetSize((500, 300))
        # end wxGlade

    def __do_layout(self):
        # begin wxGlade: CTagProcess.__do_layout
        sizer_46 = wx.BoxSizer(wx.VERTICAL)
        sizer_48 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_49 = wx.BoxSizer(wx.HORIZONTAL)
        sizer_51 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, _("Check for active processing")), wx.HORIZONTAL)
        sizer_50 = wx.StaticBoxSizer(wx.StaticBox(self, wx.ID_ANY, ""), wx.HORIZONTAL)
        sizer_52 = wx.BoxSizer(wx.VERTICAL)
        sizer_52.Add(self.bSelectAll, 0, 0, 0)
        sizer_52.Add(self.bUnSelectAll, 0, 0, 0)
        sizer_50.Add(sizer_52, 1, wx.EXPAND, 0)
        sizer_49.Add(sizer_50, 0, wx.EXPAND, 0)
        sizer_51.Add(self.cklb_tag, 1, wx.EXPAND, 0)
        sizer_49.Add(sizer_51, 1, wx.EXPAND, 0)
        sizer_46.Add(sizer_49, 1, wx.EXPAND, 0)
        sizer_48.Add(self.bOkTagProcess, 0, wx.EXPAND, 0)
        sizer_48.Add((20, 20), 1, wx.EXPAND, 0)
        sizer_48.Add(self.bCancelTagProcess, 0, wx.EXPAND, 0)
        sizer_46.Add(sizer_48, 0, wx.EXPAND, 0)
        self.SetSizer(sizer_46)
        self.Layout()
        # end wxGlade

# end of class CTagProcess
